<div class="modal fade" id="distribution-policies-{{ id }}" tabindex="-1" aria-labelledby="distribution-policies-{{ id }}-label" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-xl modal-fullscreen-md-down modal-dialog-scrollable mb-3">
    <div class="modal-content">
      <div class="modal-header">
        <h2 class="modal-title" id="distribution-policies-{{ id }}-label">{{ 'Request access'|t }}</h2>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12 col-md-7 pl-0">
              {% if distribution %}
                <div class="mb-2">
                  <h3 class="modal-distribution-title mt-0 mb-1">{{ distribution.attributes['dct:title'] }}</h3>
                  {% if distribution.attributes['dct:description'] %}
                    <p class="mb-1">{{ distribution.attributes['dct:description'] }}</p>
                  {% endif %}
                  <span class="badge badge-success mr-2 p-2" itemprop="encodingFormat" data-toggle="tooltip"
                        data-placement="top" title="{{ 'The fileformat of the distribution'|t }}">
                    {{ distribution.attributes['dct:format']|identifier_to_label('MDR:Filetype') }}
                  </span>
                  {% if distribution.attributes['dct:rights'] is not empty %}
                    <span class="badge badge-info p-2" data-toggle="tooltip" data-placement="top" title="{{ distribution.attributes['dct:rights'] }}">
                      {{ distribution.attributes['dct:license']|identifier_to_label('DONL:License') }} *
                    </span>
                  {% else %}
                    <span class="badge badge-info p-2">
                      {{ distribution.attributes['dct:license']|identifier_to_label('DONL:License') }}
                    </span>
                  {% endif %}
                </div>
              {% elseif dataservice %}
                <h3 class="modal-distribution-title mt-0 mb-1">{{ dataservice.attributes['dct:title'] }}</h3>
              {% elseif service %}
                <h3 class="modal-distribution-title mt-0 mb-1">{{ service.attributes['dct:title'] }}</h3>
              {% endif %}

              {% if dataset %}
                <b><i class="fa-solid fa-scale-unbalanced mr-1 mt-3"></i> {{ '%count dataset policies for this distribution:'|t({'%count': datasetPolicyCount}) }}</b>
              {% elseif dataservice %}
                <b><i class="fa-solid fa-scale-unbalanced mr-1 mt-3"></i> {{ '%count dataservice policies:'|t({'%count': policies.policy_templates|length }) }}</b>
              {% elseif service %}
                <b><i class="fa-solid fa-scale-unbalanced mr-1 mt-3"></i> {{ '%count service policies:'|t({'%count': policies.policy_templates|length }) }}</b>
              {% endif %}
              <div>
                <b>{{ policies.label|translate_policy_value }}</b>
                {% for policy_info in policies.policy_templates %}
                  {% if policy_info %}
                    <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                      <div class="d-flex align-items-center">
                        {% if policy_info.authority.authority_logo %}
                          <img class="image-badge" src="{{ policy_info.authority.authority_logo }}" alt="{{ policy_info.authority.authority_label|translate_policy_value }}">
                        {% else %}
                          <span class="authority badge badge-info p-2 mr-2">
                            {{ policy_info.authority.authority_label|translate_policy_value }}
                          </span>
                        {% endif %}
                        <span>{{ policy_info.policy_info.policy_label|translate_policy_value }}</span>
                      </div>
                      <a data-toggle="modal" href="#policy-info-{{ policy_info.id }}" role="button">
                        <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                      </a>
                    </div>
                  {% else %}
                    <span class="d-flex align-items-center justify-content-between w-100 mt-2 text-danger">{{ 'Policy not available'|t }}</span>
                  {% endif %}
                {% endfor %}
              </div>
              {% if distributionPolicies and distributionPolicies.policy_templates|length %}
                <b>
                  <i class="fa-solid fa-scale-unbalanced mr-1 mt-3"></i>
                  {{ '%count extra policies for this distribution:'|t({'%count': distributionPolicies.policy_templates|length}) }}
                </b>
                <div>
                  <b>{{ distributionPolicies.label|translate_policy_value }}</b>
                  {% for policy_info in distributionPolicies.policy_templates  %}
                    {% if policy_info %}
                      <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                        <div class="d-flex align-items-center">
                          {% if policy_info.authority.authority_logo %}
                            <img class="image-badge" src="{{ policy_info.authority.authority_logo }}" alt="{{ policy_info.authority.authority_label|translate_policy_value }}">
                          {% else %}
                            <span class="authority badge badge-info p-2 mr-2">
                              {{ policy_info.authority.authority_label|translate_policy_value }}
                            </span>
                          {% endif %}
                          <span>{{ policy_info.policy_info.policy_label|translate_policy_value }}</span>
                        </div>
                        <a data-toggle="modal" href="#policy-info-{{ policy_info.id }}" role="button">
                          <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                        </a>
                      </div>
                    {% else %}
                      <span class="d-flex align-items-center justify-content-between w-100 mt-2 text-danger">
                        {{ 'Policy not available'|t }}
                      </span>
                    {% endif %}
                  {% endfor %}
                </div>
              {% endif %}
              <div class="mt-3">
                <i>{{ 'Click on the link to the right to validate the policies and get access to the resource.'|t }}</i>
              </div>
            </div>
            <div class="col-12 col-md-5 policy-requirements-sidebar pr-0">
              <h3 class="mt-0 mb-3">{{ 'Request access to the data'|t }}</h3>
              {% if dataset %}
                <p>
                  {{ 'Would you like to gain access to this dataset? We will check whether you meet these conditions:'|t }}
                </p>
              {% elseif dataservice %}
                <p>
                  {{ 'Would you like to gain access to this dataservice? We will check whether you meet these conditions:'|t }}
                </p>
              {% else %}
                <p>
                  {{ 'Would you like to gain access to this service? We will check whether you meet these conditions:'|t }}
                </p>
              {% endif %}
              <div>
                {% for validation in validationRequirements %}
                  <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                    <div class="d-flex align-items-center">
                      <span class="authority badge badge-info p-2 mr-2">
                        {{ validation.language }}
                      </span>
                      <span>{{ validation.metadata.label|translate_policy_value }}</span>
                    </div>
                    {#                    <a data-toggle="modal" href="#" role="button">#}
                    {#                      <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>#}
                    {#                    </a>#}
                  </div>
                {% endfor %}
              </div>

              {% if distribution %}
                <a href="{{ distribution.attributes['dcat:accessURL'] }}" class="btn btn-primary text-light mb-1 w-100 m-0 mt-3">{{ 'Get access to this distribution'|t }}</a>
              {% elseif dataservice %}
                <a href="{{ dataservice.attributes['dcat:endpointURL'] }}" class="btn btn-primary text-light mb-1 w-100 m-0 mt-3">{{ 'Get access to this dataservice'|t }}</a>
              {% elseif service %}
                {{ initiate_clearing_form }}
              {% endif %}
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer flex-column">
        <a href="{{ data_catalog_domain }}/policy-info" class="mb-1 w-100 m-0">{{ 'Get more information about the policy and the coherence on the AMdEX website.'|t }}</a>
      </div>
    </div>
  </div>
</div>
